DROP DATABASE IF EXISTS bgbilling;
CREATE DATABASE bgbilling DEFAULT CHARACTER SET cp1251 COLLATE cp1251_general_ci;
USE bgbilling;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `gr` bigint(20) NOT NULL DEFAULT 0,
  `title` varchar(150) NOT NULL DEFAULT '',
  `title_pattern_id` int(11) NOT NULL DEFAULT 0,
  `pswd` varchar(32) NOT NULL DEFAULT '',
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `mode` tinyint(4) NOT NULL DEFAULT 0,
  `closesumma` decimal(10,2) NOT NULL,
  `pgid` int(11) NOT NULL DEFAULT 0,
  `pfid` int(11) NOT NULL DEFAULT 0,
  `fc` tinyint(1) NOT NULL DEFAULT 0,
  `comment` varchar(100) NOT NULL DEFAULT '',
  `del` tinyint(1) NOT NULL DEFAULT 0,
  `scid` int(11) NOT NULL DEFAULT 0,
  `sub_list` text NOT NULL,
  `sub_mode` tinyint(4) NOT NULL DEFAULT 0,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `status_date` date DEFAULT NULL,
  `last_tariff_change` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `crm_customer_id` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `date1` (`date1`),
  KEY `title` (`title`),
  KEY `del` (`del`),
  KEY `scid` (`scid`),
  KEY `crm_id` (`crm_customer_id`),
  KEY `crm_customer_id` (`crm_customer_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '',
  `name` varchar(16) NOT NULL DEFAULT '',
  `config_id` int(10) unsigned DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `installed_modules` (
  `name` varchar(100) DEFAULT '0',
  `title` varchar(200) DEFAULT '0',
  `version` varchar(20) DEFAULT '0',
  `pack_server` varchar(200) DEFAULT '0',
  `pack_client` varchar(200) DEFAULT '0',
  `type` varchar(20) NOT NULL DEFAULT '0',
  `client_zip` longblob NOT NULL,
  `init` longtext NOT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `enabled` tinyint(1) NOT NULL DEFAULT 0,
  `uninstall` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_area` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '0',
  `cityid` int(11) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_city` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `country_id` int(11) NOT NULL DEFAULT 1,
  `title` varchar(150) NOT NULL DEFAULT '0',
  `pos` int(11) DEFAULT 1,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_quarter` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '0',
  `gid` int(11) DEFAULT NULL,
  `cityid` int(11) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_street` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '0',
  `p_index` varchar(6) NOT NULL DEFAULT '',
  `cityid` int(11) NOT NULL DEFAULT -1,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_house` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `streetid` int(11) NOT NULL DEFAULT 0,
  `house` int(11) NOT NULL DEFAULT 0,
  `frac` varchar(30) DEFAULT NULL,
  `amount` smallint(5) NOT NULL DEFAULT 0,
  `comment` varchar(100) DEFAULT NULL,
  `areaid` int(10) NOT NULL DEFAULT 0,
  `quarterid` int(10) NOT NULL DEFAULT 0,
  `box_index` varchar(10) DEFAULT NULL,
  `dt` date DEFAULT NULL,
  `pod_diapazon` text NOT NULL,
  `pod` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `HouseU` (`streetid`,`house`,`frac`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_balance` (
  `yy` smallint(5) unsigned NOT NULL DEFAULT 0,
  `mm` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `summa1` decimal(10,2) NOT NULL,
  `summa2` decimal(10,2) NOT NULL,
  `summa3` decimal(10,2) NOT NULL,
  `summa4` decimal(10,2) NOT NULL,
  PRIMARY KEY (`cid`,`yy`,`mm`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_account` (
  `yy` smallint(5) unsigned NOT NULL DEFAULT 0,
  `mm` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `sid` int(10) unsigned NOT NULL DEFAULT 0,
  `summa` decimal(15,5) DEFAULT NULL,
  PRIMARY KEY (`yy`,`mm`,`cid`,`sid`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_charge` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dt` date NOT NULL DEFAULT '0000-00-00',
  `cid` int(11) NOT NULL DEFAULT 0,
  `pt` int(11) NOT NULL DEFAULT 0,
  `uid` int(11) NOT NULL DEFAULT 0,
  `summa` decimal(10,2) NOT NULL,
  `comment` char(200) NOT NULL DEFAULT '',
  `time_change` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `dt_cid` (`dt`,`cid`),
  KEY `pt` (`pt`),
  KEY `uid` (`uid`),
  KEY `cid_dt` (`cid`,`dt`) ,
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_charge_types` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` char(50) NOT NULL DEFAULT '',
  `flag` tinyint(2) NOT NULL DEFAULT 0,
  `type` tinyint(2) NOT NULL DEFAULT 0,
  `up` int(11) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_comment` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `uid` int(10) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) NOT NULL DEFAULT '',
  `comment` text NOT NULL,
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `visibled` bit(1) NOT NULL DEFAULT b'0',
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_delete_money` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `money` int(10) unsigned NOT NULL DEFAULT 0,
  `time` int(10) unsigned NOT NULL DEFAULT 0,
  `gr` bigint(20) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_delete_time` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `time` int(10) unsigned NOT NULL DEFAULT 0,
  `gr` bigint(20) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_error` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dt` date NOT NULL DEFAULT '0000-00-00',
  `hh` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `msg_title` varchar(100) NOT NULL DEFAULT '',
  `msg_data` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `dt` (`dt`,`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_group` (
  `id` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `title` varchar(100) NOT NULL DEFAULT '',
  `enable` tinyint(3) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `enable` (`enable`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_group` (
  `gid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  KEY `gid` (`gid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_group_name` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` char(150) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_1` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_2` (
  `cid` int(10) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `hid` int(10) unsigned DEFAULT NULL,
  `flat` varchar(10) DEFAULT NULL,
  `room` varchar(5) NOT NULL DEFAULT '',
  `pod` int(10) DEFAULT 0,
  `floor` int(10) DEFAULT 0,
  `address` varchar(255) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`cid`,`pid`),
  KEY `hid` (`hid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_3` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `email` varchar(200) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameters_pref` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pt` int(10) unsigned NOT NULL DEFAULT 0,
  `title` varchar(100) NOT NULL DEFAULT '',
  `sort` int(10) unsigned NOT NULL DEFAULT 0,
  `script` text NOT NULL,
  `history` tinyint(1) NOT NULL,
  `lm` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `sort` (`sort`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_3_mail` (
  `mailid` int(11) NOT NULL DEFAULT 0,
  `eid` int(11) NOT NULL DEFAULT 0,
  KEY `mailid` (`mailid`),
  KEY `eid` (`eid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_4` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val1` int(11) NOT NULL DEFAULT 0,
  `val2` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `cid_pid_val1` (`cid`,`pid`,`val1`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_4_directory` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) DEFAULT '0',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_pattern` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '',
  `closesumma` float NOT NULL DEFAULT 0,
  `tpid` varchar(250) NOT NULL,
  `groups` bigint(20) NOT NULL DEFAULT 0,
  `mode` int(11) NOT NULL DEFAULT 0,
  `pgid` int(11) NOT NULL DEFAULT 0,
  `pfid` int(11) NOT NULL DEFAULT 0,
  `fc` tinyint(2) NOT NULL DEFAULT 0,
  `dtl` int(10) unsigned NOT NULL DEFAULT 0,
  `tgid` varchar(250) NOT NULL,
  `scrid` varchar(250) NOT NULL,
  `name_pattern` varchar(200) NOT NULL DEFAULT '',
  `data` blob DEFAULT NULL,
  `patid` int(11) NOT NULL DEFAULT 0,
  `status` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_pattern_services` (
  `pid` int(11) NOT NULL DEFAULT 0,
  `sid` int(11) NOT NULL DEFAULT 0,
  KEY `pid` (`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_payment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `dt` date NOT NULL DEFAULT '0000-00-00',
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `pt` int(10) unsigned NOT NULL DEFAULT 0,
  `uid` int(11) NOT NULL DEFAULT 0,
  `summa` decimal(10,2) NOT NULL,
  `comment` varchar(200) NOT NULL DEFAULT '',
  `time_change` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `pt_dt` (`pt`,`dt`),
  KEY `dt_cid` (`dt`,`cid`),
  KEY `uid` (`uid`),
  KEY `cid_dt` (`cid`,`dt`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_payment_types` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `title` varchar(50) NOT NULL DEFAULT '',
  `up` int(11) NOT NULL DEFAULT 0,
  `type` tinyint(2) NOT NULL DEFAULT 0,
  `flag` tinyint(2) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `up` (`up`),
  KEY `type` (`type`),
  KEY `flag` (`flag`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_service` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `sid` int(10) unsigned NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `lm` date NOT NULL DEFAULT '0000-00-00',
  `emid` int(11) NOT NULL DEFAULT 0,
  `eid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `sid` (`sid`),
  KEY `date1` (`date1`),
  KEY `date2` (`date2`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_tariff` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `tpid` int(10) unsigned NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `lm` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `pos` tinyint(4) NOT NULL DEFAULT 0,
  `emid` int(11) NOT NULL DEFAULT 0,
  `eid` int(11) NOT NULL DEFAULT 0,
  `replaced_from` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `firm` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(150) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_contract_limit` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `nvalue` decimal(10,2) NOT NULL,
  `cid` int(11) NOT NULL DEFAULT 0,
  `comment` varchar(250) NOT NULL,
  `days` varchar(4) DEFAULT NULL,
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_contract_mode` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `value` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_contract_pswd` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0,
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module_config` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mid` int(3) unsigned DEFAULT 0,
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `title` varchar(150) NOT NULL DEFAULT '0',
  `active` tinyint(3) unsigned NOT NULL DEFAULT 0,
  `uid` int(11) unsigned DEFAULT 0,
  `config` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mid_active` (`mid`,`active`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheduled_class` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) DEFAULT NULL,
  `class` varchar(240) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheduled_tasks` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mm` bigint(20) NOT NULL DEFAULT 0,
  `dm` int(11) NOT NULL DEFAULT 0,
  `dw` tinyint(4) NOT NULL DEFAULT 0,
  `hh` int(10) NOT NULL DEFAULT 0,
  `min` bigint(20) NOT NULL DEFAULT 0,
  `prior` int(11) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `class_id` int(11) NOT NULL DEFAULT 0,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `params` text NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `service` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `mid` int(11) NOT NULL DEFAULT 0,
  `lm` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `isusing` tinyint(1) DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `mid` (`mid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `setup` (
  `id` varchar(100) NOT NULL DEFAULT '',
  `value` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `status_log` (
  `from_date` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `to_date` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `mid` int(10) unsigned NOT NULL DEFAULT 0,
  `status` tinyint(4) DEFAULT NULL,
  `uid` tinyint(4) NOT NULL DEFAULT 0,
  `comment` varchar(255) NOT NULL DEFAULT '',
  UNIQUE KEY `main_from_index` (`from_date`,`cid`,`mid`),
  UNIQUE KEY `main_to_index` (`to_date`,`cid`,`mid`),
  KEY `from_date_index` (`from_date`),
  KEY `to_date_index` (`to_date`),
  KEY `cid_index` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subscr_contact` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `name` char(50) NOT NULL DEFAULT '',
  `email` char(50) NOT NULL DEFAULT '',
  `subject` char(50) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_plan` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL DEFAULT '',
  `lm` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `actual` int(11) NOT NULL DEFAULT 0,
  `gr` bigint(20) NOT NULL,
  `pattern` varchar(255) DEFAULT NULL,
  `face` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `login` char(15) NOT NULL DEFAULT '',
  `name` char(50) NOT NULL DEFAULT '',
  `email` char(50) NOT NULL,
  `descr` char(255) NOT NULL DEFAULT '',
  `pswd` char(32) DEFAULT NULL,
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `laf` char(100) NOT NULL DEFAULT '',
  `gr` bigint(20) NOT NULL,
  `status` tinyint(4) NOT NULL DEFAULT 0,
  `cgr` bigint(20) NOT NULL DEFAULT 0,
  `pids` varchar(512) DEFAULT NULL,
  `contract_pid` int(11) NOT NULL DEFAULT 0,
  `contract_cid` int(11) NOT NULL DEFAULT 0,
  `config` text NOT NULL,
  `crm_user_id` int(11) NOT NULL,
  `cgr_mode` tinyint(4) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`),
  KEY `login` (`login`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_group` (
  `gr_code` smallint(3) unsigned NOT NULL AUTO_INCREMENT,
  `gr_name` char(60) DEFAULT '0',
  PRIMARY KEY (`gr_code`),
  UNIQUE KEY `gr_code` (`gr_code`),
  KEY `gr_code_2` (`gr_code`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_group_access` (
  `gr_code` smallint(3) unsigned NOT NULL DEFAULT 0,
  `ma_id` smallint(3) unsigned NOT NULL DEFAULT 0,
  KEY `gr_code` (`gr_code`,`ma_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_group_entry` (
  `gr_code` smallint(3) unsigned NOT NULL DEFAULT 0,
  `parent_gr_code` smallint(3) unsigned NOT NULL DEFAULT 0,
  KEY `gr_code` (`gr_code`,`parent_gr_code`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_group_member` (
  `user_id` smallint(3) unsigned DEFAULT 0,
  `gr_code` smallint(3) unsigned DEFAULT 0,
  KEY `user_id` (`user_id`,`gr_code`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_module_action` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `module` char(30) NOT NULL DEFAULT '0',
  `type` int(11) NOT NULL DEFAULT 0,
  `action` char(40) NOT NULL DEFAULT '0',
  `description` char(120) DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `module_action` (`module`,`action`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_user_access` (
  `user_id` smallint(3) unsigned NOT NULL DEFAULT 0,
  `ma_id` smallint(3) unsigned DEFAULT 0,
  KEY `user_id_2` (`user_id`,`ma_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_login_pswd` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `mid` int(11) NOT NULL DEFAULT 0,
  `lid` int(11) NOT NULL DEFAULT 0,
  KEY `lid_mid` (`lid`,`mid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `module_tariff_tree` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `mid` int(10) NOT NULL DEFAULT 0,
  `tree_id` int(10) NOT NULL DEFAULT 0,
  `parent_tree` int(10) NOT NULL DEFAULT 0,
  `lm` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `tree_id` (`tree_id`),
  KEY `mid_tree` (`mid`,`tree_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mtree_node` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `parent_node` int(10) unsigned NOT NULL DEFAULT 0,
  `mtree_id` int(10) unsigned NOT NULL DEFAULT 0,
  `type` varchar(20) NOT NULL DEFAULT '',
  `data` text NOT NULL,
  `pos` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `tree_id` (`mtree_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_tree` (
  `id` int(10) NOT NULL AUTO_INCREMENT,
  `parent_tree` int(3) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `parent` (`parent_tree`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_tree_config` (
  `module` varchar(20) NOT NULL DEFAULT '0',
  `data` longtext NOT NULL,
  PRIMARY KEY (`module`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_tree_link` (
  `tpid` int(11) NOT NULL DEFAULT 0,
  `tree_id` int(10) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`tpid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_tree_link` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(10) NOT NULL DEFAULT 0,
  `tree_id` int(10) NOT NULL DEFAULT 0,
  `title` varchar(200) NOT NULL DEFAULT '',
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `pos` tinyint(4) NOT NULL DEFAULT 0,
  `emid` int(11) NOT NULL DEFAULT 0,
  `eid` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mail_list` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(50) DEFAULT '0',
  `flag` int(1) unsigned DEFAULT 0,
  `type` tinyint(1) unsigned DEFAULT 0,
  `up` int(11) unsigned DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `up` (`up`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mail_temp` (
  `id` int(11) NOT NULL DEFAULT 0,
  `eid` int(11) DEFAULT NULL,
  `dt` datetime /* mariadb-5.3 */ DEFAULT NULL
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mail_list_message` (
  `id` int(11) unsigned NOT NULL DEFAULT 0,
  `subject` varchar(255) DEFAULT NULL,
  `text` text DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_dispatch` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cid` int(10) unsigned NOT NULL DEFAULT 0,
  `mails` varchar(200) NOT NULL DEFAULT '',
  `type` int(10) unsigned NOT NULL DEFAULT 0,
  `params` varchar(255) NOT NULL DEFAULT '',
  `title` varchar(100) NOT NULL DEFAULT '',
  `status` tinyint(3) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_dispatch_reference` (
  `id` int(3) unsigned NOT NULL AUTO_INCREMENT,
  `mid` int(3) unsigned DEFAULT 0,
  `module` varchar(30) NOT NULL DEFAULT '',
  `title` varchar(100) NOT NULL DEFAULT '',
  `class_name` varchar(200) NOT NULL DEFAULT '',
  `web_action` varchar(200) NOT NULL DEFAULT '',
  `client_class_name` varchar(200) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `mid` (`mid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_limit_period` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0,
  `dt` date DEFAULT NULL,
  `value` decimal(10,2) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `dt` (`dt`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `news` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `gr` bigint(20) NOT NULL DEFAULT 0,
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `title` varchar(150) NOT NULL DEFAULT '',
  `txt` text NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `source` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mid` int(11) NOT NULL DEFAULT 0,
  `title` varchar(20) NOT NULL DEFAULT '',
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(255) NOT NULL DEFAULT '',
  `source_type` tinyint(4) NOT NULL DEFAULT 0,
  `host_or_dir` varchar(250) NOT NULL,
  `user` varchar(15) NOT NULL DEFAULT '',
  `pswd` varchar(15) NOT NULL DEFAULT '',
  `config` text NOT NULL,
  `lm` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `mid` (`mid`),
  KEY `date1` (`date1`),
  KEY `date2` (`date2`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `task_proccess` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mid` int(11) NOT NULL DEFAULT 0,
  `title` char(200) NOT NULL DEFAULT '',
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `param` int(11) NOT NULL DEFAULT 0,
  `start_process_time` datetime /* mariadb-5.3 */ DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `spt` (`start_process_time`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `task_load` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` char(200) NOT NULL DEFAULT '',
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `param` int(10) unsigned NOT NULL DEFAULT 0,
  `count` int(10) unsigned NOT NULL DEFAULT 0,
  `le` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`id`),
  KEY `le` (`le`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_5` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(2) NOT NULL DEFAULT 0,
  PRIMARY KEY (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_6` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` date NOT NULL,
  PRIMARY KEY (`cid`,`pid`) 
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_7` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_7_values` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `pid` int(11) NOT NULL DEFAULT 0,
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `pid` (`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payment_register` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `date` date DEFAULT NULL,
  `title` varchar(200) NOT NULL DEFAULT '',
  `pt` int(11) NOT NULL DEFAULT 0,
  `load_time` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `count` int(3) NOT NULL DEFAULT 0,
  `errorCount` int(11) NOT NULL DEFAULT 0,
  `summa` decimal(10,2) NOT NULL DEFAULT 0.00,
  `processed` tinyint(2) NOT NULL DEFAULT 0,
  `process_time` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `load_log` text NOT NULL,
  `ptitle` varchar(50) NOT NULL,
  `regtype` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `id` (`id`),
  KEY `date` (`date`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `payment_register_item` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `rid` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0,
  `summa` float(10,2) NOT NULL DEFAULT 0.00,
  `pid` int(11) NOT NULL DEFAULT 0,
  `comment` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `rid` (`rid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(200) NOT NULL DEFAULT '',
  `tm` tinyint(3) NOT NULL DEFAULT 0,
  `df` int(11) NOT NULL DEFAULT 0,
  `beh` int(11) NOT NULL DEFAULT 0,
  `pos` int(11) NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_group_tariff` (
  `tgid` int(11) NOT NULL DEFAULT 0,
  `tpid` int(11) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL COMMENT 'начало периода видимости тарифа в группе тарифов',
  `date2` date DEFAULT NULL COMMENT 'конец периода видимости тарифа в группе тарифов',
  KEY `tgid` (`tgid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_tariff_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `gid` int(11) NOT NULL DEFAULT 0,
  `comment` char(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_script` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `script_id` int(11) NOT NULL DEFAULT 0,
  `comment` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script_event_queue` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `event` longblob NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script_event_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `mid` varchar(100) NOT NULL,
  `event_mode` tinyint(4) NOT NULL DEFAULT 1,
  `event_id` varchar(255) NOT NULL DEFAULT '0',
  `title` varchar(200) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `mid_event` (`mid`,`event_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script_function` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `script_id` int(11) NOT NULL DEFAULT 0,
  `title` varchar(100) NOT NULL DEFAULT '',
  `code` text DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `change_time` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  KEY `script_id` (`script_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script_function_event_type` (
  `fid` int(11) NOT NULL DEFAULT 0,
  `mid` varchar(100) NOT NULL,
  `event_id` varchar(255) NOT NULL DEFAULT '0',
  KEY `fid` (`fid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL DEFAULT '',
  `name_macros` varchar(250) NOT NULL DEFAULT '',
  `comment` varchar(255) NOT NULL,
  `ishidden` tinyint(1) DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL DEFAULT '',
  `type` tinyint(1) NOT NULL DEFAULT 0,
  `comment` varchar(255) NOT NULL,
  `history` tinyint(4) DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_type_param` (
  `type_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `pos` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`type_id`,`param_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL DEFAULT 0,
  `title` varchar(250) NOT NULL DEFAULT '',
  `type_id` int(11) NOT NULL DEFAULT 0,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `pos` int(11) DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`),
  KEY `pos` (`pos`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_list_value` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `title` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`id`),
  KEY `param_id` (`param_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_text` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_address` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `hid` int(11) NOT NULL DEFAULT 0,
  `flat` varchar(15) NOT NULL DEFAULT '0',
  `room` varchar(20) NOT NULL DEFAULT '',
  `pod` int(11) NOT NULL DEFAULT 0,
  `floor` int(11) NOT NULL DEFAULT 0,
  `address` varchar(250) NOT NULL DEFAULT '',
  `comment` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_date` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` date DEFAULT NULL,
  PRIMARY KEY (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_list` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_tables` (
  `userId` int(11) DEFAULT NULL,
  `table_module` varchar(100) DEFAULT NULL,
  `table_id` varchar(100) DEFAULT NULL,
  `widths` text DEFAULT NULL,
  `positions` text DEFAULT NULL,
  `hiddens` text DEFAULT NULL,
  KEY `userId` (`userId`),
  KEY `table_module` (`table_module`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `register_group_task_type` (
  `gid` int(11) NOT NULL DEFAULT 0,
  `type_id` int(11) NOT NULL DEFAULT 0,
  KEY `gid` (`gid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_group` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL DEFAULT '',
  `comment` varchar(250) NOT NULL DEFAULT '',
  `cgr` bigint(20) NOT NULL DEFAULT 0,
  `pids` varchar(512) DEFAULT NULL,
  `cgr_mode` tinyint(4) NOT NULL DEFAULT 1,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_group_action` (
  `gid` int(11) NOT NULL DEFAULT 0,
  `mid` varchar(10) NOT NULL,
  `aid` int(11) NOT NULL DEFAULT 0,
  KEY `gid` (`gid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_user_group` (
  `uid` int(11) NOT NULL DEFAULT 0,
  `gid` int(11) NOT NULL DEFAULT 0,
  KEY `uid` (`uid`),
  KEY `gid` (`gid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_module_action` (
  `module` varchar(100) NOT NULL DEFAULT '',
  `data` text NOT NULL,
  PRIMARY KEY (`module`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_user_action` (
  `uid` int(11) NOT NULL DEFAULT 0,
  `mid` varchar(10) NOT NULL,
  `aid` int(11) NOT NULL DEFAULT 0,
  KEY `uid` (`uid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_8` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `web_request_count` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `date` date NOT NULL DEFAULT '0000-00-00',
  `count` int(11) NOT NULL DEFAULT 0,
  UNIQUE KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `time_type` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(100) NOT NULL,
  `data` text NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_limit_manage` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `clp_id` int(11) DEFAULT NULL,
  `summ` decimal(10,2) NOT NULL,
  `date1` datetime /* mariadb-5.3 */ NOT NULL,
  `date2` date DEFAULT NULL,
  `pids` varchar(100) DEFAULT NULL,
  `rest` float(10,2) NOT NULL DEFAULT 0.00,
  `status` int(11) DEFAULT 0,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`),
  KEY `clp_id` (`clp_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_limit_manage_mode` (
  `cid` int(11) NOT NULL,
  `mode` int(11) NOT NULL DEFAULT 0,
  `cnt` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_contract_limit_manage_mode` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `mode` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0,
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `web_request_limit` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `lim` int(11) DEFAULT NULL,
  PRIMARY KEY (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheduled_task_run` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `data` blob DEFAULT NULL,
  `description` text DEFAULT NULL,
  `executed` tinyint(2) DEFAULT 0,
  `start_time` datetime /* mariadb-5.3 */ DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_logon_error` (
  `lu` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `cid` int(11) NOT NULL,
  `login` varchar(255) NOT NULL,
  `dt` datetime /* mariadb-5.3 */ NOT NULL,
  `ip` varchar(15) NOT NULL,
  `error_code` int(11) NOT NULL,
  `request_data` text NOT NULL,
  KEY `cid_dt` (`cid`,`dt`),
  KEY `login_dt` (`login`,`dt`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_logon_last` (
  `lu` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `cid` int(11) NOT NULL,
  `dt` datetime /* mariadb-5.3 */ NOT NULL,
  `n` int(11) NOT NULL,
  `ip` varchar(15) NOT NULL,
  PRIMARY KEY (`cid`),
  KEY `new_index` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_logon_ok` (
  `lu` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `cid` int(11) NOT NULL,
  `dt` datetime /* mariadb-5.3 */ NOT NULL,
  `ip` varchar(15) NOT NULL,
  `session_id` varchar(32) NOT NULL,
  `user` enum('p','c','a') NOT NULL DEFAULT 'c',
  KEY `new_index` (`cid`,`dt`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `plugin_config` (
  `pid` int(11) NOT NULL,
  `config` text DEFAULT NULL,
  PRIMARY KEY (`pid`) 
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_password_once` (
  `lu` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `dt` datetime /* mariadb-5.3 */ NOT NULL,
  `contract_title` varchar(150) NOT NULL,
  `password` varchar(64) NOT NULL,
  UNIQUE KEY `password` (`password`) 
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_type_module` (
  `type_id` int(11) NOT NULL,
  `mid` int(11) NOT NULL,
  UNIQUE KEY `type_mid` (`mid`,`type_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `cid` int(11) NOT NULL,
  `status` tinyint(4) NOT NULL,
  `uid` int(11) NOT NULL,
  `date1` date NOT NULL,
  `date2` date DEFAULT NULL,
  `comment` varchar(250) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sql_template` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `title` varchar(150) NOT NULL,
  `text` text NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_module` (
  `cid` int(11) NOT NULL,
  `mid` int(11) NOT NULL,
  PRIMARY KEY (`cid`,`mid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_status_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `status` tinyint(4) NOT NULL,
  `uid` int(11) NOT NULL,
  `date` datetime /* mariadb-5.3 */ NOT NULL,
  `comment` varchar(250) NOT NULL,
  `cid` int(11) NOT NULL DEFAULT 0,
  `date1` date NOT NULL,
  `date2` date DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_comment_patterns` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(25) NOT NULL,
  `pat` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_pattern_modules` (
  `pid` int(11) NOT NULL,
  `mid` int(11) NOT NULL
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_1_log` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` varchar(255) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_2_log` (
  `cid` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_3_log` (
  `cid` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_4_log` (
  `cid` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_5_log` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(2) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL DEFAULT 0,
  KEY `cid_pid` (`cid`,`pid`) 
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_6_log` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` date DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_7_log` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(11) DEFAULT NULL,
  `title` varchar(100) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_8_log` (
  `cid` int(11) NOT NULL DEFAULT 0,
  `pid` int(11) NOT NULL DEFAULT 0,
  `val` int(11) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_9_log` (
  `cid` int(11) NOT NULL,
  `pid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `phone1` varchar(11) DEFAULT NULL,
  `phone_format1` varchar(2) DEFAULT NULL,
  `phone_comm1` varchar(40) DEFAULT NULL,
  `phone2` varchar(11) DEFAULT NULL,
  `phone_format2` varchar(2) DEFAULT NULL,
  `phone_comm2` varchar(40) DEFAULT NULL,
  `phone3` varchar(11) DEFAULT NULL,
  `phone_format3` varchar(2) DEFAULT NULL,
  `phone_comm3` varchar(40) DEFAULT NULL,
  `phone4` varchar(11) DEFAULT NULL,
  `phone_format4` varchar(2) DEFAULT NULL,
  `phone_comm4` varchar(40) DEFAULT NULL,
  `phone5` varchar(11) DEFAULT NULL,
  `phone_format5` varchar(2) DEFAULT NULL,
  `phone_comm5` varchar(40) DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cip_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `periodic_errors` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `marker` varchar(250) NOT NULL,
  `calc_date` date DEFAULT NULL,
  `subject` varchar(250) NOT NULL,
  `text` text DEFAULT NULL,
  `reg_time` date DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `billing_event_bus` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `time` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  `event` longblob DEFAULT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_9` (
  `pid` int(11) NOT NULL,
  `value` varchar(255) DEFAULT NULL,
  `phone1` varchar(11) DEFAULT NULL,
  `phone_format1` varchar(2) DEFAULT NULL,
  `phone_comm1` varchar(40) DEFAULT NULL,
  `phone2` varchar(11) DEFAULT NULL,
  `phone_format2` varchar(2) DEFAULT NULL,
  `phone_comm2` varchar(40) DEFAULT NULL,
  `phone3` varchar(11) DEFAULT NULL,
  `phone_format3` varchar(2) DEFAULT NULL,
  `phone_comm3` varchar(40) DEFAULT NULL,
  `phone4` varchar(11) DEFAULT NULL,
  `phone_format4` varchar(2) DEFAULT NULL,
  `phone_comm4` varchar(40) DEFAULT NULL,
  `phone5` varchar(11) DEFAULT NULL,
  `phone_format5` varchar(2) DEFAULT NULL,
  `phone_comm5` varchar(40) DEFAULT NULL,
  `cid` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `script_lib` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(100) NOT NULL,
  `title` varchar(255) NOT NULL,
  `script` text NOT NULL,
  `user_id` int(11) NOT NULL,
  `change_time` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`),
  UNIQUE KEY `name` (`name`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `global_script` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) DEFAULT NULL,
  `script` text DEFAULT NULL,
  `user_id` int(11) NOT NULL,
  `change_time` timestamp /* mariadb-5.3 */ NOT NULL DEFAULT current_timestamp() ON UPDATE current_timestamp(),
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(250) NOT NULL,
  `tariff_ids` text NOT NULL,
  `comment` varchar(250) NOT NULL,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `depends` varchar(255) NOT NULL DEFAULT '',
  `incompatible` varchar(255) NOT NULL DEFAULT '',
  `deactivation_mode` int(11) NOT NULL,
  `contract_groups` bigint(20) NOT NULL DEFAULT 0,
  `hideForWeb` smallint(6) NOT NULL DEFAULT 0,
  `hideForWebContractGroups` bigint(20) NOT NULL DEFAULT 0,
  `hideForWebContractGroupsMode` smallint(6) NOT NULL DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tariff_option_activate_mode` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `option_id` int(11) NOT NULL,
  `charge_type_id` int(11) NOT NULL,
  `charge_summa` decimal(10,2) NOT NULL,
  `period_mode` tinyint(2) NOT NULL,
  `period_col` int(11) NOT NULL,
  `date1` date DEFAULT NULL,
  `date2` date DEFAULT NULL,
  `deactivation_mode` int(11) NOT NULL,
  `reactivation_mode` int(11) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `option_id` (`option_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_tariff_option` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `option_id` int(11) NOT NULL,
  `time_from` datetime /* mariadb-5.3 */ NOT NULL,
  `time_to` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `charge_id` int(11) NOT NULL,
  `summa` decimal(10,2) NOT NULL,
  `activated_mode` int(11) NOT NULL,
  `activated_time` datetime /* mariadb-5.3 */ NOT NULL,
  `deactivated_time` datetime /* mariadb-5.3 */ DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cid` (`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_menu` (
  `uid` int(11) NOT NULL,
  `menu_id` varchar(50) NOT NULL,
  `hidden` tinyint(2) NOT NULL,
  PRIMARY KEY (`uid`,`menu_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bgs_group_menu` (
  `gid` int(11) NOT NULL,
  `menu_id` varchar(50) NOT NULL,
  `hidden` tinyint(2) NOT NULL,
  PRIMARY KEY (`gid`,`menu_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `scheduled_periodic_run` (
  `description` text DEFAULT NULL,
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `amount` int(11) DEFAULT 0,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_phone` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY (`pid`,`cid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_phone_item` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `n` tinyint(4) NOT NULL,
  `phone` varchar(11) DEFAULT NULL,
  `format` varchar(2) DEFAULT NULL,
  `comment` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`pid`,`cid`,`n`),
  KEY `phone` (`phone`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_parameter_type_phone_log` (
  `pid` int(11) NOT NULL,
  `cid` int(11) NOT NULL,
  `val` varchar(255) DEFAULT NULL,
  `data` text DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `cid_pid` (`cid`,`pid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `log_contract_face` (
  `dt` datetime /* mariadb-5.3 */ NOT NULL DEFAULT '0000-00-00 00:00:00',
  `uid` int(11) NOT NULL DEFAULT 0,
  `value` int(11) NOT NULL DEFAULT 0,
  `cid` int(11) NOT NULL DEFAULT 0
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `address_country` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `title` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sequential_ids` (
  `mid` varchar(8) NOT NULL,
  `value` bigint(20) NOT NULL,
  PRIMARY KEY (`mid`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_flag` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` int(2) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`param_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_address_log` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` varchar(250) NOT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `object_id` (`object_id`,`param_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_text_log` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` varchar(250) NOT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `param_id` (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_list_log` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` int(11) NOT NULL DEFAULT 0,
  `title` varchar(250) NOT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `param_id` (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_date_log` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` date DEFAULT NULL,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `param_id` (`param_id`,`object_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `object_param_value_flag_log` (
  `object_id` int(11) NOT NULL DEFAULT 0,
  `param_id` int(11) NOT NULL DEFAULT 0,
  `value` int(2) NOT NULL DEFAULT 0,
  `dt_change` datetime /* mariadb-5.3 */ NOT NULL,
  `user_id` int(11) NOT NULL,
  KEY `object_id` (`object_id`,`param_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contract_autopayment` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `contract_id` int(11) NOT NULL DEFAULT 0,
  `module_id` int(11) NOT NULL DEFAULT 0,
  `date_from` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `date_to` datetime /* mariadb-5.3 */ DEFAULT NULL,
  `user_from` int(11) NOT NULL DEFAULT -2,
  `user_to` int(11) NOT NULL DEFAULT -2,
  PRIMARY KEY (`id`),
  KEY `cid_mid` (`contract_id`,`module_id`)
);
/*!40101 SET character_set_client = @saved_cs_client */;
INSERT INTO user (login, name, pswd, config) VALUES ('admin', 'admin', '21232F297A57A5A743894A0E4A801FC3', '');

INSERT INTO setup VALUES ( "closed_date_1", "00.00.0000" );

INSERT INTO contract_group VALUES ( 0, ' 00', 0 );
INSERT INTO contract_group VALUES ( 1, ' 01', 0 );
INSERT INTO contract_group VALUES ( 2, ' 02', 0 );
INSERT INTO contract_group VALUES ( 3, ' 03', 0 );
INSERT INTO contract_group VALUES ( 4, ' 04', 0 );
INSERT INTO contract_group VALUES ( 5, ' 05', 0 );
INSERT INTO contract_group VALUES ( 6, ' 06', 0 );
INSERT INTO contract_group VALUES ( 7, ' 07', 0 );
INSERT INTO contract_group VALUES ( 8, ' 08', 0 );
INSERT INTO contract_group VALUES ( 9, ' 09', 0 );
INSERT INTO contract_group VALUES ( 10, ' 10', 0 );
INSERT INTO contract_group VALUES ( 11, ' 11', 0 );
INSERT INTO contract_group VALUES ( 12, ' 12', 0 );
INSERT INTO contract_group VALUES ( 13, ' 13', 0 );
INSERT INTO contract_group VALUES ( 14, ' 14', 0 );
INSERT INTO contract_group VALUES ( 15, ' 15', 0 );
INSERT INTO contract_group VALUES ( 16, ' 16', 0 );
INSERT INTO contract_group VALUES ( 17, ' 17', 0 );
INSERT INTO contract_group VALUES ( 18, ' 18', 0 );
INSERT INTO contract_group VALUES ( 19, ' 19', 0 );
INSERT INTO contract_group VALUES ( 20, ' 20', 0 );
INSERT INTO contract_group VALUES ( 21, ' 21', 0 );
INSERT INTO contract_group VALUES ( 22, ' 22', 0 );
INSERT INTO contract_group VALUES ( 23, ' 23', 0 );
INSERT INTO contract_group VALUES ( 24, ' 24', 0 );
INSERT INTO contract_group VALUES ( 25, ' 25', 0 );
INSERT INTO contract_group VALUES ( 26, ' 26', 0 );
INSERT INTO contract_group VALUES ( 27, ' 27', 0 );
INSERT INTO contract_group VALUES ( 28, ' 28', 0 );
INSERT INTO contract_group VALUES ( 29, ' 29', 0 );
INSERT INTO contract_group VALUES ( 30, ' 30', 0 );
INSERT INTO contract_group VALUES ( 31, ' 31', 0 );
INSERT INTO contract_group VALUES ( 32, ' 32', 0 );
INSERT INTO contract_group VALUES ( 33, ' 33', 0 );
INSERT INTO contract_group VALUES ( 34, ' 34', 0 );
INSERT INTO contract_group VALUES ( 35, ' 35', 0 );
INSERT INTO contract_group VALUES ( 36, ' 36', 0 );
INSERT INTO contract_group VALUES ( 37, ' 37', 0 );
INSERT INTO contract_group VALUES ( 38, ' 38', 0 );
INSERT INTO contract_group VALUES ( 39, ' 39', 0 );
INSERT INTO contract_group VALUES ( 40, ' 40', 0 );
INSERT INTO contract_group VALUES ( 41, ' 41', 0 );
INSERT INTO contract_group VALUES ( 42, ' 42', 0 );
INSERT INTO contract_group VALUES ( 43, ' 43', 0 );
INSERT INTO contract_group VALUES ( 44, ' 44', 0 );
INSERT INTO contract_group VALUES ( 45, ' 45', 0 );
INSERT INTO contract_group VALUES ( 46, ' 46', 0 );
INSERT INTO contract_group VALUES ( 47, ' 47', 0 );
INSERT INTO contract_group VALUES ( 48, ' 48', 0 );
INSERT INTO contract_group VALUES ( 49, ' 49', 0 );
INSERT INTO contract_group VALUES ( 50, ' 50', 0 );
INSERT INTO contract_group VALUES ( 51, ' 51', 0 );
INSERT INTO contract_group VALUES ( 52, ' 52', 0 );
INSERT INTO contract_group VALUES ( 53, ' 53', 0 );
INSERT INTO contract_group VALUES ( 54, ' 54', 0 );
INSERT INTO contract_group VALUES ( 55, ' 55', 0 );
INSERT INTO contract_group VALUES ( 56, ' 56', 0 );
INSERT INTO contract_group VALUES ( 57, ' 57', 0 );
INSERT INTO contract_group VALUES ( 58, ' 58', 0 );
INSERT INTO contract_group VALUES ( 59, ' 59', 0 );
INSERT INTO contract_group VALUES ( 60, ' 60', 0 );
INSERT INTO contract_group VALUES ( 61, ' 61', 0 );
INSERT INTO contract_group VALUES ( 62, ' 62', 0 );

INSERT INTO scheduled_class( title, class ) VALUES( "  ", "bitel.billing.server.contract.CleanerContract");
INSERT INTO scheduled_class( title, class ) VALUES( "    ", "bitel.billing.server.load.TaskGenerator");
INSERT INTO scheduled_class( title, class ) VALUES( " ", "bitel.billing.server.mail.MailSender");
INSERT INTO scheduled_class( title, class ) VALUES( " ", "bitel.billing.server.contract.LimitRestorer");
INSERT INTO scheduled_class( title, class ) VALUES( " ", "bitel.billing.server.mail.UserDispatchSender");
INSERT INTO scheduled_class( title, class ) VALUES( "  ", "bitel.billing.server.script.TimerEventGenerate");
INSERT INTO scheduled_class( title, class ) VALUES( "   ", "bitel.billing.server.contract.DebtMailSender");
INSERT INTO scheduled_class( title, class ) VALUES( "  ", "bitel.billing.server.contract.ContractStatusSetter");
INSERT INTO scheduled_class( title, class ) VALUES( "   ", "bitel.billing.server.admin.integration.PaymentLoader");		
INSERT INTO scheduled_class( title, class ) VALUES( "", "ru.bitel.bgbilling.kernel.task.server.Validator");
INSERT INTO scheduled_class( title, class ) VALUES( "    ", "bitel.billing.server.script.global.bean.GlobalScriptTimer");

INSERT INTO user_dispatch_reference ( mid, module, title, class_name, web_action, client_class_name ) VALUES( 0, "contract", " ", "bitel.billing.server.contract.bean.DispatchBalance", "DispatchBalance", "bitel.billing.module.contract.ContractDispatchBalanceEditor");

INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 1, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 3, "");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 2, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 4, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 5, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 9, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 10, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 11, "/  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 12, "  .   Web ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 15, "  .   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 16, " .   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 18, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 19, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 20, "        Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 21, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 22, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 23, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 24, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 25, "     Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 26, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 27, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 28, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 29, "   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 30, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 31, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 32, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 33, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 34, "        Web");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 35, "/   ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 36, "    ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 37, "     ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 38, "     (Web)");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 41, "/  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 43, "  ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 44, " ");
INSERT INTO script_event_type ( mid, event_id, title ) VALUES( 0, 45, "   ");
INSERT INTO script_event_type (mid, event_id, event_mode, title) VALUES (0, 'bitel.billing.server.script.bean.event.ContractWebLoginEvent', 1, '  Web');

GRANT ALL PRIVILEGES ON bgbilling.* TO 'bill'@'localhost' IDENTIFIED BY 'bgbilling';
GRANT ALL PRIVILEGES ON bgbilling.* TO 'bill'@'%' IDENTIFIED BY 'bgbilling';